Subject: Re: [RFC PATCH] net: mvneta: add ethtool statistics

From: Andrew Lunn <[email-masked]>
Date: Tue, 6 Oct 2015 18:52:08 +0200

On Sun, Oct 04, 2015 at 05:58:54PM +0100, Russell King wrote:
> Add support for the ethtool statistic interface, returning the full set
> of statistics which both the Armada 370 and Armada XP can support.
> 
> Signed-off-by: Russell King <[email-masked]>
> ---
> Is there any standard terminology for the ethtool statistics?  Are the
> names given here satisfactory?

Hi Russell

Maybe you can use the same as drivers/net/dsa/mv88e6xxx.c? Or the same
as net/ethernet/marvell/mv643xx_eth.c

At least in the Marvell drivers, there does not seem to be any
consistency. But we should try to avoid adding a third set for
Marvell, if there is no standard.

	 Andrew